HyperPaxeer NetworkPaxeer Network
API Reference

Get perps portfolio summary

GET
/api/v1/portfolio/{address}/perps

Returns the complete perpetuals portfolio for a user including:

  • Vault status and address
  • All open positions with unrealized PnL
  • Total collateral, unrealized/realized PnL
  • Aggregated user stats (position counts, trade counts, orders)

Path Parameters

address*string

Wallet address (with or without 0x prefix, case-insensitive)

Match^0x[a-fA-F0-9]{40}$

Response Body

application/json

text/plain

curl -X GET "https://us-east-1.user-stats.sidiora.exchange/api/v1/portfolio/0xf263aB36de550bDa08b52d43eB253b3C0387e2bc/perps"
{
  "has_vault": true,
  "vault_address": "string",
  "open_positions": [
    {
      "position_id": "string",
      "user_address": "string",
      "market_id": 0,
      "market_name": "string",
      "market_symbol": "string",
      "is_long": true,
      "size_usd": "string",
      "leverage": "string",
      "entry_price": "string",
      "current_price": "string",
      "collateral_amount": "string",
      "collateral_usd": "string",
      "unrealized_pnl": "string",
      "realized_pnl": "string",
      "status": "open",
      "opened_at": "string",
      "closed_at": "string",
      "open_tx_hash": "string"
    }
  ],
  "total_collateral_usd": "string",
  "total_unrealized_pnl": "string",
  "total_perps_value_usd": "string",
  "total_realized_pnl": "string",
  "stats": {
    "user_address": "string",
    "total_positions": 0,
    "open_positions": 0,
    "closed_positions": 0,
    "liquidated_positions": 0,
    "total_trades": 0,
    "total_realized_pnl": "string",
    "total_orders": 0,
    "active_orders": 0
  }
}
"string"